import HttpKit from '@/utils/http-kit'

export default {

  /**
   * 功能描述：查询机构
   */
  findOrgan(id) {
    return HttpKit.post(`/admin/organ/find-organ/${id}`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：保存/更新[机构]
   */
  saveOrUpdate(form) {
    return HttpKit.post(`/admin/organ/save-or-update`, form).then(
      res => res.data
    )
  },
  selectOrgan() {
    return HttpKit.post(`/admin/organ/find-organ/selectOrgan`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：删除分校
   */
  delete(id) {
    return HttpKit.delete(`/admin/organ/school/${id}`).then(
      res => res.data
    )
  }
}
